Description

Kata tnv sggavion acknong mou XL TPOoTEBEL 0TN YPAUMN Jabnong, edgavileTal:

Warning: require_once(../../include/log.php): failed to open stream: No such file or directory in
/var/www/eclass/modules/exercise/exercise.class.php on line 22

Fatal error: require_once(): Failed opening required '../../include/log.php’ (include_path=".:/usr/share/php5:/usr/share/php’) in
Ivar/www/eclass/modules/exercise/exercise.class.php on line 22

Associated revisions

Revision 6591:a6520ebe4fc4 - 04/02/2014 16:48 - Thanos Kyritsis

temporary bugfix exercise class include log (refs #127)

Revision 14982:b35953861835 - 04/02/2014 16:48 - Thanos Kyritsis

temporary bugfix exercise class include log (refs #127)

History

#1 - 25/01/2014 06:41 - Yury Kherimyan

Aev ptavel 0T1o 18Lo emurnedo pe to include, BeAel va rael ahlo eva eminedo navw, dSAS modules/exercise/exercise.class.php on line 22:
require_once "../../include/log.php' =>
require_once "../../../include/log.php'

Av kat dev Ba nNTav GWoTOTEPO va XPNOLHOTIONBEL KaTL oav Tn JETABANTN
$webDir = 'S:/WorkSpace/openeclass/’;

KaL va yLVeL

require_once $webDir.'include/log.php’

#2 - 25/01/2014 06:58 - Yury Kherimyan

Eya&a Ayo kat e1da nwg €§apyng ntav ypapuevo Tol kal e§apyng o pakeAog include ntav otn Beon Tou €lvat Kat Twpa,
OTIOTE OTO £PWTNUA TOU YLATL OEV ELXE OKAOEL PEXPL TWPA PIMOPW HOVaXa vVa Kavw TnV €lkaota nwg:

- Nvotav include to log.php amo aAAn tomnobeota (Pe cwoTo path) kat emeldn ntav oe require_once dev TINYaAlve OVIwG
va To Kavel include Kat TO TIPOCTIEPVOUCE. TNV YPAPUn Jabnong opwg paAAov dev TO {NTAUE KATIOU VWPLTEPA OTIOTE
TaEL OVIwG va To Kavel include pe to Aabog path kat okael (ULag Kat ewvat require K oxt amnio include)

#3 - 25/01/2014 07:50 - Yury Kherimyan

Ewaota 2n (vopt{w 1o owotn):

>upgwva pe auto [[http:/stackoverflow.com/questions/2253625/php-require-once-not-working-the-way-i-want-it-to-relative-path-issue]],

otav ywel nested require(_once) and include(_once), 8Ba douAeywouv oAa PE TN OXETLKN SLAdPOUN TOU aPXLKOU OPXELOU Tou Ta KaAeoe. Ewalw nwg
oc aAAeq

neputtwoelg To modules/exercise/exercise.class.php kahettat aro Babog 2 (dAS: modules/something n main/something etc). Ztnv mepuntwon opwg
Tou learning path kaAettal aro Babog 3, cuykekplueva aro to modules/learnPath/navigation, onote 10 ../../ 3EV TOU ApKeL KAl KATAANYEL va
Tnyatvet

o010 pakeAo modules/include.

Emopevwg n Auon pe 1o ../../ va ywel ../../../ huvel To mpoPAnua oto learning path,
aAla propel (dev e1da akopa) va xalael To require Twv logs og KAmoLo aAAO OnpELo.
OmoTE MPOTELVW VA YLVEL:

require_once __DIR__."../../include/log.php';

#4 - 25/01/2014 12:52 - Thanos Kyritsis
http://stackoverflow.com/questions/2253625/php-require-once-not-working-the-way-i-want-it-to-relative-path-issue

Na va og YATwow Kat aro ToV KOTIO ToU WaglPaTog, 0TO CUYKEKPLUEVO KoPpaTL Twv includes/requires Ba kavoupe tnv kKataAAnAn BeEATIwON woTe
va pnv xpetagovtat kaBoAou ta relative paths, va ywvouv oAa dnhadn require_once('include/log.php’); avegaptntwg Babougq directory, omote va
OTAUATNOOUV KAl 0TO HEANOV OAaA Ta OXETLKA bugs. ArAwg avol§aue Kat To bug yta va pag Buptlel Tnv EKpEPPOTNTA :-)

#5 - 04/02/2014 16:54 - Thanos Kyritsis
- % Done changed from 0 to 20

Eotella eva npoowpLvo TIPOXELPO patch, yla va punv okaet Pe error, ou Kavel file_exists kat Toekapet av npetet va falel 3 directories mavw n 2.
Ag apnooupe avolXTo To issue. H mpaypatikn Auon Ba dobel otav xpnotyononooupe tnv set_include_path(), aAAa ag mpoxwpnoet To
development mpog To Mapov Kat TO KOLTAME.

#6 - 27/02/2014 14:06 - Thanos Kyritsis
- Priority changed from YwnAn to Kavovikn
